import { Router } from "express";
import { FuelPriceController } from "./fuelPrices.controller";
import { authMiddleware } from "../auth/auth.middleware";

const fuelPriceRoute = Router();

const controller = new FuelPriceController();

fuelPriceRoute.get("/", authMiddleware, controller.getAll);

fuelPriceRoute.get("/:id", authMiddleware, controller.getById);

fuelPriceRoute.post("/", authMiddleware, controller.create);

fuelPriceRoute.put("/:id", authMiddleware, controller.update);

fuelPriceRoute.delete("/:id", authMiddleware, controller.delete);


export default fuelPriceRoute;